"""
MAUS web application URL handler module.
"""

#  This file is part of MAUS: http://micewww.pp.rl.ac.uk:8080/projects/maus
#
#  MAUS is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  MAUS is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with MAUS.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls.defaults import patterns

# mausweb.maus.views is the module that handles requests to URLs.
# Each URL path is handled by the associated function in the 
# module e.g. http://.../maus/ is handled by 
# mausweb.maus.views.index and http://.../maus/IMAGE/graph by
# mausweb.maus.views.graph.
# Django expects the variable to be called "urlpatterns".

urlpatterns = patterns(                  # pylint: disable=C0103
    'mausweb.maus.views',
    (r'^$', 'index'),
    (r'^images', 'images'),
    (r'^(?P<image>.+)/graph$', 'graph'),
    (r'^(?P<image>.+)/thumb$', 'thumb'),
    (r'^(?P<image>.+)/eps$', 'eps'),
    (r'^(?P<image>.+)/png$', 'png'),
    (r'^(?P<image>.+)/$', 'raw'),
)
